MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029125Open CASCADE[OCCT] OCCT:Visualizationpublic2017-09-19 12:512018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029125: Visualization, OpenGl_Text - fix access violation within OpenGL1.1 context
DescriptionOpenGl_Text::drawRect() does not checks OpenGL version before creating OpenGl_VertexBuffer which leads to access violation if OpenGL context does not support VBO (obsolete).
Steps To ReproduceOn Windows:
pload VISUALIZATION
vcaps -softMode 1
vclear
vinit View1
vpoint p0 -100 0 0
vpoint p1 0 0 0
vpoint p2 100 0 0
vdimension angle -angle -shapes p0 p1 p2

Result:
An exception was caught 0000027129D3AF80 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 
0x0000000000000228 during 'READ' operation
** Exception ** 0000027129D3AF80 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x0000000000000228 
during 'READ' operation
TagsNo tags attached.
Test case numberNot requared
Attached Files

- Relationships
child of 0028099closedapn Visualization, OpenGl_Text - handle DIMENSION and SUBTITLE styles within Core Profile 
child of 0029124closedbugmaster Visualization, Tests - failures when tests are executed via Remote Desktop connection 

-  Notes
(0070669)
git (administrator)
2017-09-19 12:53

Branch CR29125 has been created by kgv.

SHA-1: c0db97be380ff7033ef7decd3dcd8629b47eb83a


Detailed log of new commits:

Author: kgv
Date: Tue Sep 19 12:53:15 2017 +0300

    0029125: Visualization, OpenGl_Text - fix access violation within OpenGL1.1 context
(0070670)
kgv (developer)
2017-09-19 12:58

Please test the patch. Test case is not needed.
(0070676)
git (administrator)
2017-09-19 13:26

Branch CR29125 has been updated by kgv.

SHA-1: d5843127382d93e0e9a3cfa75038a7fa5e0dedaf


Detailed log of new commits:

Author: kgv
Date: Tue Sep 19 13:26:00 2017 +0300

    OpenGl_Context::DiagnosticInformation() - added OpenGL version check before retrieving GL_SHADING_LANGUAGE_VERSION string.

(0070703)
bugmaster (administrator)
2017-09-20 10:20

Combination -
OCCT branch : CR29125 SHA-1: d5843127382d93e0e9a3cfa75038a7fa5e0dedaf

Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29125-master-KGV/ [^]

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0071036)
git (administrator)
2017-09-29 17:12

Branch CR29125 has been deleted by kgv.

SHA-1: d5843127382d93e0e9a3cfa75038a7fa5e0dedaf

- Related Changesets
occt: master fb025d9c
Timestamp: 2017-09-19 09:53:15
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029125: Visualization, OpenGl_Text - fix access violation within OpenGL1.1 context

OpenGl_Context::DiagnosticInformation() - added OpenGL version check before retrieving GL_SHADING_LANGUAGE_VERSION string.
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
occt: master 048e1b3b
Timestamp: 2017-09-19 09:53:15
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029125: Visualization, OpenGl_Text - fix access violation within OpenGL1.1 context

OpenGl_Context::DiagnosticInformation() - added OpenGL version check before retrieving GL_SHADING_LANGUAGE_VERSION string.
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-19 12:51 kgv New Issue
2017-09-19 12:51 kgv Assigned To => kgv
2017-09-19 12:53 git Note Added: 0070669
2017-09-19 12:56 kgv Priority normal => low
2017-09-19 12:57 kgv Relationship added child of 0028099
2017-09-19 12:57 kgv Product Version 7.2.0 => 7.1.0
2017-09-19 12:58 kgv Relationship added child of 0029124
2017-09-19 12:58 kgv Note Added: 0070670
2017-09-19 12:58 kgv Assigned To kgv => bugmaster
2017-09-19 12:58 kgv Status new => resolved
2017-09-19 12:58 kgv Status resolved => reviewed
2017-09-19 13:26 git Note Added: 0070676
2017-09-20 10:20 bugmaster Note Added: 0070703
2017-09-20 10:20 bugmaster Status reviewed => tested
2017-09-20 10:24 bugmaster Test case number => Not requared
2017-09-21 19:33 bugmaster Changeset attached => occt master fb025d9c
2017-09-21 19:33 bugmaster Status tested => verified
2017-09-21 19:33 bugmaster Resolution open => fixed
2017-09-21 19:50 apn Target Version 7.3.0 => 7.2.0
2017-09-22 12:07 bugmaster Target Version 7.2.0 => 7.3.0
2017-09-29 13:26 bugmaster Changeset attached => occt master 048e1b3b
2017-09-29 17:12 git Note Added: 0071036
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker